Workaround for Non-release versions of FreeRDP (#166)

* Workaround for Non-release versions of FreeRDP

took the workaround from the upgrade script and put it in the install script

* fixed syntax error
This commit is contained in:
marius137 2021-01-19 23:25:08 +01:00 committed by GitHub
parent 423625f718
commit 96e7675589
No known key found for this signature in database
GPG Key ID: 4AEE18F83AFDEB23
1 changed files with 7 additions and 2 deletions

View File

@ -412,8 +412,13 @@ echo -e "${BLUE}Building Guacamole-Server with GCC $( gcc --version | head -n1 |
echo -e "${BLUE}Configuring Guacamole-Server. This might take a minute...${NC}"
./configure --with-init-dir=/etc/init.d &>> ${LOG}
if [ $? -ne 0 ]; then
echo -e "${RED}Failed. See ${LOG}${NC}" 1>&2
exit 1
echo "Failed to configure guacamole-server"
echo "Trying again with --enable-allow-freerdp-snapshots"
./configure --with-init-dir=/etc/init.d --enable-allow-freerdp-snapshots
if [ $? -ne 0 ]; then
echo "Failed to configure guacamole-server - again"
exit
fi
else
echo -e "${GREEN}OK${NC}"
fi